Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.info
Interface PropertyInfo

All Known Implementing Classes:
  PropertyInfoSupport

    public interface PropertyInfo

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `ACCESS_MODE_READ_ONLY`
`static java.lang.String` | `ACCESS_MODE_READ_WRITE`
`static java.lang.String` | `MAPPING_DB_TYPE_COLUMN`
`static java.lang.String` | `MAPPING_DB_TYPE_DYNAMIC`
`static java.lang.String` | `USAGE_MANDATORY`
`static java.lang.String` | `USAGE_OPTIONAL`

Method Summary
`java.lang.String` | `getAccessMode()` Returns property access mode
`LocalizedString` | `getDescription()` Returns property description
`LocalizedString` | `getDisplayName()` Returns property display name
`java.lang.String` | `getMappingDBType()` Returns type of property database mapping
`java.lang.String` | `getMappingDBValue()` Returns name of database column name to which this property corresponds
`java.lang.String` | `getMappingLDAPValue()` Returns name of LDAP attribue to which this property corresponds
`java.lang.String` | `getName()` Returns property name
`java.lang.String` | `getType()` Returns property type
`java.lang.String` | `getUsage()` Returns property usage
`boolean` | `isMappedDB()` If property is mapped in database
`boolean` | `isMappedLDAP()` If property is mapped in LDAP

Field Detail

### ACCESS_MODE_READ_ONLY

    static final java.lang.String ACCESS_MODE_READ_ONLY

See Also:
  Constant Field Values

### ACCESS_MODE_READ_WRITE

    static final java.lang.String ACCESS_MODE_READ_WRITE

See Also:
  Constant Field Values

### USAGE_MANDATORY

    static final java.lang.String USAGE_MANDATORY

See Also:
  Constant Field Values

### USAGE_OPTIONAL

    static final java.lang.String USAGE_OPTIONAL

See Also:
  Constant Field Values

### MAPPING_DB_TYPE_COLUMN

    static final java.lang.String MAPPING_DB_TYPE_COLUMN

See Also:
  Constant Field Values

### MAPPING_DB_TYPE_DYNAMIC

    static final java.lang.String MAPPING_DB_TYPE_DYNAMIC

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns property name

  Returns:

### getType

    java.lang.String getType()

  Returns property type

  Returns:

### getAccessMode

    java.lang.String getAccessMode()

  Returns property access mode

  Returns:

### getUsage

    java.lang.String getUsage()

  Returns property usage

  Returns:

### getDisplayName

    LocalizedString getDisplayName()

  Returns property display name

  Returns:

### getDescription

    LocalizedString getDescription()

  Returns property description

  Returns:

### getMappingDBType

    java.lang.String getMappingDBType()

  Returns type of property database mapping

  Returns:

### getMappingLDAPValue

    java.lang.String getMappingLDAPValue()

  Returns name of LDAP attribue to which this property corresponds

  Returns:

### getMappingDBValue

    java.lang.String getMappingDBValue()

  Returns name of database column name to which this property corresponds

  Returns:

### isMappedDB

    boolean isMappedDB()

  If property is mapped in database

  Returns:

### isMappedLDAP

    boolean isMappedLDAP()

  If property is mapped in LDAP

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD